<template>
  <div class="row  summ">
    <form id="goYandexForm" ref="goYandexForm" name="goYandexForm" :action="payData.url" method="post" target="Map" style="margin:0;">
      <input name="shopId" :value="payData.shopId" type="hidden">
      <input name="sum" :value="payData.sum" type="hidden">
      <input name="scid" :value="payData.scid" type="hidden">
      <input name="customerNumber" :value="payData.customerNumber" type="hidden">
      <input name="orderNumber" :value="payData.orderNumber" type="hidden">
      <input name="paymentType" :value="payData.paymentType" type="hidden">
    </form>
    <div class="padding" style="padding-top: 0;">
      <sum-and-order v-model="sum" :text="'Оплата через Сбербанк Онлайн'" @hideForm="$emit('hideForm')"/>
      <additional-services @hideForm="$emit('hideForm')"
                        :sum="sum"
                        :blocker="blocker"
                        @click="click"
      ></additional-services>
    </div>
    <div class="pos-block">
      <div class="pos-add-funds padding">
        <div class="question-block">
          <div class="question" @click="expand = !expand">
            Инструкция
            <img src="/lk/static/img/pos/arrow.png" alt="" :class="{expand: expand}" class="faq-arrow">
          </div>
          <transition name="fade">
            <div class="answer" style="display: block;" v-if="expand">
              <p>Погасите займ через <a href="https://online.sberbank.ru/CSAFront/index.do" target="_blank"
                                        rel="noopener noreferrer">«Сбербанк Онлайн»</a>:</p>
              <p style="font-weight: bold">Вариант 1. Если сумма к оплате до 10 000 рублей:</p>
              <p>
                1. В поле «Оплата с помощью» выберите «Подтверждение по SMS».<br>
                2. Укажите номер телефона, который подключен к мобильному банку. На него придет подтверждение
                платежа.<br>
                3. Нажмите «Заплатить».<br>
                4. Вы увидите реквизиты платежа и инструкцию.<br>
                5. В течение 15 минут банк отправит SMS с номера 900. Скопируйте код подтверждения и отправьте в
                ответном
                сообщении. После обработки платежа Сбербанк отправит SMS с оповещением.
              </p>
              <p style="font-weight: bold">Вариант 2. Если сумма оплаты больше 10 000 рублей:</p>
              <p>
                1. В поле «Оплата с помощью» выберите «Сбербанк Онлайн».<br>
                2. Укажите номер телефона, привязанный к личному кабинету в Сбербанк Онлайн.<br>
                3. Нажмите «Заплатить».<br>
                4. Вы попадете на сайт Сбербанк Онлайн: введите логин и пароль для входа.<br>
                5. Появится страница «Оплата заказа». Выберите карту, с которой банк спишет средства, и нажмите
                «Оплатить».<br>
                6. Проверьте информацию о платеже и нажмите «Подтвердить по смс».<br>
                7. Банк отправит смс с Кодом подтверждения. Введите его в нужное поле и нажмите «Подтвердить».<br>
                8. Сайт покажет статус операции – «Исполняется банком». Нажмите «Продолжить». После обработки платежа
                Сбербанк отправит смс-уведомление.
              </p>
            </div>
          </transition>
        </div>
      </div>
    </div>
    <!--<div class="center">-->
    <!--<p>-->
    <!--Инструкция, если сумма <a @click.prevent="variant = 'lessThan10000'" href="#">меньше 10 000 рублей</a> или <a @click.prevent="variant = 'moreThan10000'" href="#">больше 10 000 рублей.</a>-->
    <!--</p>-->
    <!--</div>-->
    <!--<div v-show="variant === 'lessThan10000'" class="sber-info warning-yellow-block">-->
    <!--<p>Сумма оплаты меньше 10 000 рублей:</p>-->
    <!--<ol>-->
    <!--<li>В поле «Оплата с помощью» выберите «Подтверждение по SMS».</li>-->
    <!--<li>Укажите номер телефона, который подключен к мобильному банку. На него придет подтверждение платежа.</li>-->
    <!--<li>Нажмите «Заплатить».</li>-->
    <!--<li>Вы увидите реквизиты платежа и инструкцию.</li>-->
    <!--<li>В течение 15 минут банк отправит SMS с номера 900. Скопируйте код подтверждения и отправьте в ответном сообщении. Когда платеж обработается, Сбербанк отправит SMS с оповещением.</li>-->
    <!--</ol>-->
    <!--</div>-->
    <!--<div v-show="variant === 'moreThan10000'" class="sber-info warning-yellow-block">-->
    <!--<p>Сумма оплаты больше 10 000 рублей:</p>-->
    <!--<ol>-->
    <!--<li>В поле «Оплата с помощью» выберите «Сбербанк Онлайн».</li>-->
    <!--<li>Укажите номер телефона, привязанный к личному кабинету в Сбербанк Онлайн.</li>-->
    <!--<li>Нажмите «Заплатить».</li>-->
    <!--<li>Вы попадете на сайт Сбербанк Онлайн: введите логин и пароль для входа.</li>-->
    <!--<li>Откроется страница «Оплата заказа». Выберите карту, с которой банк спишет средства, и нажмите «Оплатить».</li>-->
    <!--<li>Проверьте данные платежа и нажмите кнопку «Подтвердить по SMS».</li>-->
    <!--<li>Банк отправит вам SMS с паролем подтверждения. Введите его в нужное поле и нажмите «Подтвердить».</li>-->
    <!--<li>Сайт покажет статус операции – «Исполняется банком». Нажмите «Продолжить». Когда платеж обработается, Сбербанк отправит SMS с оповещением.</li>-->
    <!--</ol>-->
    <!--</div>-->


  </div>
</template>

<script>
  import Vue from 'vue'
  import SumAndOrder from '@/components/Pay/SumAndOrder'
  import AdditionalServices from '@/components/Chunks/AdditionalServices'
  import {errorRepay} from '@/utils/error/repay'

  export default {
    name: 'Sberbank',
    components: {SumAndOrder, AdditionalServices},
    props: {
      SumToPay: {
        type: Number,
        default: 0
      }
    },
    data () {
      return {
        sum: this.SumToPay,
        payData: {},
        variant: null,
        expand: false,
      }
    },
    computed: {
      blocker () {
        // return this.$store.state.loans.blockedPay
        return false;
      }
    },
    methods: {
      async click (arg) {
        console.log('arg', arg)
        window.open('about:blank', 'Map', 'status=0,title=0,height=600,width=800,scrollbars=1')
        const {data} = await this.$store.dispatch('getLinkToPayWithMainMethods', {
          payMethod: 'sberbank',
          sum: this.sum,
          type: 1
        }).catch(error => errorRepay(error.errors[0].code, this.$store));

        this.payData = data.data
        await Vue.nextTick()
        this.$refs.goYandexForm.submit()
      }
    },
    mounted () {
      this.$store.dispatch('getPaymentParams', {SumToPay: this.SumToPay, paymentMehtod: 'sberbank'})
    }
  }
</script>

<style scoped lang="scss">
  .summ {
    input {
      height: 50px;
      max-width: 300px
    }
    p {
      font-size: 18px
    }
  }
</style>
